Manage orders - Get growth margin by id
Gets a single growth margin by ID and country or region.
Retrieves a single growth margin for a given growth margin ID and country or region, ignoring the growth margin start and end dates. This operation is used primarily for reconciliation to retrieve growth margin details after the growth margin expires.
GET https://api.partnercenter.microsoft.com/v1/catalog/benefits/{growth-margin-id}?country={country}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
growth-margin-id
|
path | True |
string |
A string defining the growth margin to retrieve. |
|
country
|
query | True |
string |
A two-letter country code determining which customer country or region growth margins are available for. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
Authorization ****** |
| ms-correlationid |
string |
Used for tracking requests internally. If a ms-correlationid is not provided, the server will generate a new one for each request |
|
| MS-CV |
string |
Used for tracking requests internally. If a MS-CV is not provided, the server will generate a new one for each request |
|
| ms-requestid |
string |
Used for idempotency of requests. If a ms-requestid is not provided, the server will generate a new one for each request |
|
| X-Locale |
string |
The locale to use for localized response content, such as en-US. |
|
| Accept | True |
string |
Typically application/json. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request was successful. The response body contains the growth margin. Media Types: "application/json", "text/json" |
Definitions
| Name | Description |
|---|---|
|
Asset |
The asset ownership limits. |
|
Benefit |
The pricing, offer, and eligibility policies that define the growth margin. |
|
Benefit |
The base product purchase configurations to which the growth margin can apply. |
|
Constraints |
The constraints associated with the eligibility policy. |
| Eligibility |
The eligibility details associated with the policy. |
|
Eligibility |
The eligibility constraints. |
|
Eligibility |
The eligibility rule sets for the growth margin. |
|
Eligibility |
The data associated with the eligibility policy. |
|
Growth |
Represents a growth margin benefit resource. |
|
Offer |
The offer rules that define the growth margin availability period and beneficiary. |
|
Offer |
The data associated with the offer policy. |
|
Offer |
The properties associated with the offer policy. |
|
Partner |
The partner constraints. |
|
Pricing |
The pricing rules for the growth margin. |
|
Pricing |
The benefits provided by the pricing policy. |
|
Pricing |
The data associated with the pricing policy. |
|
Product |
Groups of product ownership constraints. |
|
Purchase |
The purchase requirement constraints. |
|
Seat |
The seat constraints. |
|
Sku |
The product code identities for the growth margin. |
AssetOwnershipLimit
The asset ownership limits.
| Name | Type | Description |
|---|---|---|
| maxAssets |
integer (int32) |
The maximum number of owned assets. |
| minAssets |
integer (int32) |
The minimum number of owned assets. |
| type |
string |
The asset ownership limit type. |
BenefitProductPolicy
The pricing, offer, and eligibility policies that define the growth margin.
| Name | Type | Description |
|---|---|---|
| eligibilityPolicies |
The eligibility rule sets for the growth margin. |
|
| offerPolicies |
The offer rules that define the growth margin availability period and beneficiary. |
|
| pricingPolicies |
The pricing rules for the growth margin. |
BenefitRequiredProduct
The base product purchase configurations to which the growth margin can apply.
| Name | Type | Description |
|---|---|---|
| billingCycle |
string |
The applicable base-product billing cycle, such as Monthly or Annual. |
| productId |
string |
The product identifier of an applicable base product. |
| skuId |
string |
The SKU identifier of an applicable base product. Leading zeros are significant. |
| termDuration |
string |
The applicable base-product term in ISO 8601 duration format, such as P1Y. |
ConstraintsData
The constraints associated with the eligibility policy.
| Name | Type | Description |
|---|---|---|
| assetOwnershipLimits |
The asset ownership limits. |
|
| eligibilityConstraints |
The eligibility constraints. |
|
| partnerConstraints |
The partner constraints. |
|
| prerequisiteConstraints |
api.partnercenter.microsoft.com.partner-center.manageorders.getgrowthmarginbyid |
Prerequisite constraints returned as an untyped JSON value. |
| productOwnershipConstraints |
Groups of product ownership constraints. |
|
| purchaseRequirementConstraints |
The purchase requirement constraints. |
|
| seatConstraints |
The seat constraints. |
Eligibility
The eligibility details associated with the policy.
| Name | Type | Description |
|---|---|---|
| constraintsData |
The constraints associated with the eligibility policy. |
|
| dynamicPurchaseConstraint |
api.partnercenter.microsoft.com.partner-center.manageorders.getgrowthmarginbyid |
A dynamic purchase constraint returned as an untyped JSON value. |
EligibilityConstraint
The eligibility constraints.
| Name | Type | Description |
|---|---|---|
| isApplicable |
boolean |
Whether the eligibility constraint is applicable. |
| type |
string |
The eligibility constraint type. |
EligibilityPolicy
The eligibility rule sets for the growth margin.
| Name | Type | Description |
|---|---|---|
| policyData |
The data associated with the eligibility policy. |
|
| policyId |
string |
The eligibility policy identifier. |
EligibilityPolicyData
The data associated with the eligibility policy.
| Name | Type | Description |
|---|---|---|
| eligibility |
The eligibility details associated with the policy. |
GrowthMarginBenefit
Represents a growth margin benefit resource.
| Name | Type | Description |
|---|---|---|
| description |
string |
The description of the growth margin. |
| id |
string |
The catalog identifier for the growth margin discount product and pricing point, in productId:skuId:availabilityId format. |
| name |
string |
The display name of the growth margin. |
| productCodes |
The product code identities for the growth margin. |
|
| productPolicy |
The pricing, offer, and eligibility policies that define the growth margin. |
|
| requiredProducts |
The base product purchase configurations to which the growth margin can apply. |
OfferPolicy
The offer rules that define the growth margin availability period and beneficiary.
| Name | Type | Description |
|---|---|---|
| policyData |
The data associated with the offer policy. |
|
| policyId |
string |
The offer policy identifier. |
OfferPolicyData
The data associated with the offer policy.
| Name | Type | Description |
|---|---|---|
| beneficiary |
string |
The beneficiary of the offer. |
| isOptional |
boolean |
Whether the offer is optional. |
| properties |
The properties associated with the offer policy. |
OfferPolicyProperties
The properties associated with the offer policy.
| Name | Type | Description |
|---|---|---|
| endDate |
string |
The end date of the offer. |
| startDate |
string |
The start date of the offer. |
PartnerConstraint
The partner constraints.
| Name | Type | Description |
|---|---|---|
| isApplicable |
boolean |
Whether the partner constraint is applicable. |
| type |
string |
The partner constraint type. |
PricingPolicy
The pricing rules for the growth margin.
| Name | Type | Description |
|---|---|---|
| policyData |
The data associated with the pricing policy. |
|
| policyId |
string |
The pricing policy identifier. |
PricingPolicyBenefit
The benefits provided by the pricing policy.
| Name | Type | Description |
|---|---|---|
| type |
string |
The pricing benefit type, such as PercentDiscount. |
| value |
number (double) |
The pricing benefit value. |
PricingPolicyData
The data associated with the pricing policy.
| Name | Type | Description |
|---|---|---|
| benefits |
The benefits provided by the pricing policy. |
ProductOwnershipConstraint
Groups of product ownership constraints.
| Name | Type | Description |
|---|---|---|
| bigId |
string |
The big catalog identifier. |
| maxSeats |
integer (int32) |
The optional maximum number of seats. |
| minSeats |
integer (int32) |
The optional minimum number of seats. |
PurchaseRequirementConstraint
The purchase requirement constraints.
| Name | Type | Description |
|---|---|---|
| bigId |
string |
The big catalog identifier. |
| maxSeats |
integer (int32) |
The maximum number of seats. |
| minSeats |
integer (int32) |
The minimum number of seats. |
| termDuration |
string |
The term duration. |
| type |
string |
The purchase requirement constraint type. |
SeatConstraint
The seat constraints.
| Name | Type | Description |
|---|---|---|
| maxSeats |
integer (int32) |
The maximum number of seats. |
| minSeats |
integer (int32) |
The minimum number of seats. |
| seatIncreaseMultiplier |
integer (int32) |
The seat increase multiplier. |
| type |
string |
The seat constraint type. |
SkuProductCode
The product code identities for the growth margin.
| Name | Type | Description |
|---|---|---|
| productCode |
string |
The product code value. |
| termId |
string |
The term identifier associated with the product code. |